package com.gutavopeiretti.activityparam;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;

public class SecondActivity extends AppCompatActivity {

    private TextView textViewName;
    private TextView textViewLastname;

    @Override
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_second);

        textViewName = (TextView) findViewById(R.id.textViewName);
        textViewLastname = (TextView) findViewById(R.id.textViewLastname);

        if (bundle != null) {
            String nameParam = bundle.getString("DATA_NAME_KEY");
            String lastNameParam = bundle.getString("DATA_LASTNAME_KEY");
            textViewName.setText(nameParam);
            textViewLastname.setText(lastNameParam);
        }

        // short way to get intent paramts
        // textViewName.setText(getIntent().getStringExtra("DATA_NAME_KEY"));
        // textViewLastname.setText(getIntent().getStringExtra("DATA_LASTNAME_KEY"));

    }
}
